Getting Started

Visit the EZLife home page Getting Started

Welcome to the EZLife Wizard Control, the professional ActiveX control for constructing wizards of all kinds.

To start using the control, you can do one of the following:

  1. Add a form to a project based upon the wizard form template - this is installed with the control and may be found in the Add Form dialog with the other VB form templates. A reference to the control will be automatically added to your project. This is by far the easiest introduction to using the control, as a skeleton of useful support code is also included in the template.
  2. Add a reference to the control by choosing Project/Components from the VB menu, and selecting EZLife Wizard Control from the list of installed components. Then add a wizard control to a form, and a control array of containers, such as the EZWizPage control.

Once you have created a wizard form, you may use the add-in to manage it. You will find the add-in button on the standard VB toolbar. If it isn't there, you should be able to find and activate it using the Add-Ins/Add-In Manager menu.

Also see the comprehensive overview of the wizard control.


Overview

Visit the EZLife home page Overview of the EZLife Wizard Control

Welcome to the EZLife Wizard Control, the professional ActiveX control for constructing wizards of all kinds. See the Getting Started topic for an introduction to getting the most out of the control.

Anatomy of a Wizard

The term wizard was coined by Microsoft some years ago, to mean any program or module that leads the user through a complex process, performing complex processing behind the scenes based upon simple user input. The Wizard user interface has largely been standardised to improve user familiarity, but constructing them has been difficult because of the lack of wizard frameworks. The EZLife Wizard Control provides just such a framework.

A wizard control sits on a form, which may be modal or modeless. The EZWizard control itself provides only the wizard navigation controls, not the pages themselves. For the pages, you simply create a control array using a container control of some sort - we provide the EZWizPage control to complement the Wizard control - and supply it to the Wizard control using the PageControl or Pages properties. A Visual Basic add-in makes it easy to navigate the wizard's pages at design-time, and add, remove and reorder pages.

The user can enter each page of information before pressing the Next button, and return to previous pages using the Back button. To cancel the wizard, there is a Cancel button, and the Finish button tells the wizard to complete processing and close.

A rich set of events allows complex programmatic processing of the user's actions. The BeforeNext and BeforeBack events occur before a move, and may be cancelled; they are therefore ideal for page-level validation. The AfterNext, AfterBack and PageChanged events occur after a move; they may be used to prepare the controls on a page as it is selected, or to update the wizard's caption (title) bar. Finally, the Finished and Cancelled events are may be used to complete or abort processing.

One further feature of the wizard control is that it will automatically skip over pages which are disabled (Enabled = False). This allows for conditional inclusion of pages, and dynamically changing the wizard's process according to user input.

Visit the Step One Technologies web site

Supported Platforms

The EZLife Wizard Control works with Windows 95, 98 and NT 4 (SP2+).

See Also: EZWizCtl Control
 EZWizPage Control


Wizard Add-In

The Wizard Management Add-In

You will find it easiest to manage a wizard form by means of the wizard management add-in. pictured above. It has navigation buttons for switching cleanly between pages; two "new page" buttons to add a new page either before or after the current one; a delete button to remove the current page; and two shuffle buttons, to move a page up or down in the wizard's page order.


EZWizCtl Control

Provides a framework for wizards.

Properties:
Methods:
Events:
ActivePage Property FormatPages Method AfterBack Event
Enough Property AfterNext Event
FirstPage Property BeforeBack Event
LastPage Property BeforeNext Event
PageControl Property Cancelled Event
Pages Property Finished Event
StartPage Property Init Event
PageChanged Event

See Also: Overview


EZWizPage Control

The EZLife Wizard Control will manage arrays of most container controls, including the Visual Basic intrinsic Frame control. However, the EZWizPage control has been provided as a simple container control that has been developed and tested alongside the Wizard control itself.


ActivePage Property

Returns or sets the wizard's current page number (control array index).

Syntax:

object.ActivePage [= long integer]

Remarks:

The ActivePage property is useful for display the current page number to the user, or for jumping to a particular page.


Enough Property

Dictates or indicates whether the wizard has enough data to allow the user to finish the operation.

Syntax:

object.Enough [= boolean]

Remarks:

If set to True, indicates to the EZLife Wizard Control that the user has supplied enough information for the wizard to finish prematurely; the control then enables the Finish button so that the user may, if required, skip the remaining pages.


FirstPage Property

Holds the number (control-array index) of the first page the EZLife Wizard Control is managing.

Syntax:

object.FirstPage

Remarks:

Read-only.

See Also: LastPage Property
ActivePage Property


LastPage Property

Returns the number (control-array index) of the last page the EZLife Wizard Control is managing.

Syntax:

object.LastPage

Remarks:

Read-only.

See Also: FirstPage Property
ActivePage Property


PageControl Property

Sets or returns the name of the control array of containers to be used as wizard pages.

Syntax:

object.PageControl [= string]

Remarks:

This property is normally set at design-time through the property window. It should be set to the base name of the pages control array, e.g. "Pages", not "Pages(1)".

See Also: Pages Property


Pages Property

Sets or returns an object reference to the control array of containers to be used as wizard pages.

Syntax:

[Set] object.Pages [= object]

Remarks:

This property is normally set at design-time by setting the PageControl property through the property window. It can, however, be set programmatically at run-time.

See Also: PageControl Property


StartPage Property

Sets or returns the page upon which the wizard will start.

Syntax:

object.StartPage [= long integer]

Remarks:

You may set the StartPage property in order to affect the page upon which the Wizard process starts. This enables you, for example, to have an introductory page which may be skipped according to a user setting. Whilst this would be possible by disabling the introduction page control, the control would then be inaccessible - using the StartPage property ensures that the page is accessible merely by pressing the Back button.

The StartPage property must be set before the wizard control is fully initialised - therefore you should set it during the Init event.


AfterBack Event

Occurs after the EZWizard control has moved backward to a new page.

Syntax:

Private Sub AfterBack()

Remarks:

To prevent a move backward, you may cancel the BeforeBack Event.

See Also: BeforeBack Event
 BeforeNext Event
 AfterNext Event
 PageChanged Event


AfterNext Event

Occurs after the EZWizard control has moved forward to a new page.

Syntax:

Private Sub AfterNext()

Remarks:

To prevent a move forward, you may cancel the BeforeNext Event.

See Also: BeforeNext Event
 AfterBack Event
BeforeBack Event
PageChanged Event


BeforeBack Event

Occurs just before the EZWizard control has moved backward to a new page.

Syntax:

Private Sub BeforeBack(Cancel as Boolean)

Remarks:

The event can be cancelled by setting the Cancel argument to True.

See Also: AfterBack Event
BeforeNext Event
 AfterNext Event
 PageChanged Event


BeforeNext Event

Occurs just before the EZWizard control has moved forward to a new page.

Syntax:

Private Sub BeforeNext(Cancel as Boolean)

Remarks:

The BeforeNext event can be cancelled by setting the Cancel argument to True. It is most useful for page-level validation of user input, and/or conditional code that affects subsequent pages of the wizard.

See Also: AfterNext Event
AfterBack Event
BeforeBack Event
PageChanged Event


Cancelled Event

Occurs when the user presses Cancel.

Syntax:

Private Sub Cancelled()

Remarks:

The cancelled event indicates that the user wishes to abort the wizard process.

See Also: Finished Event


Finished Event

Occurs when the user has pressed the Finish button, indicating completion of required data-entry.

Syntax:

Private Sub Finished()

Remarks:

The Finished event procedure is normally used to perform the wizard's final processing once all required data has been entered.

See Also: Cancelled Event


Init Event

Occurs when the wizard control is initialised.

Syntax:

Private Sub Init()

Remarks:

The Init event may be used to effect processing before the wizard control is fully initialised. An example of this is setting a start page using the StartPage Property.

See Also: StartPage Property


PageChanged Event

Occurs when the the page is turned, either forward or backward.

Syntax:

Private Sub PageChanged()

Remarks:

The PageChanged event is useful when you wish to implement processing when a new page is selected, regardless of the direction of travel; one such example is setting the wizard caption to reflect the purpose and/or number of the current page.

See Also: AfterBack Event
AfterNext Event
 BeforeBack Event
BeforeNext Event


FormatPages Method

Rearranges the pages to have the same size and position as the first.

Syntax:

object.FormatPages()

Remarks:

Use the FormatPages method after changing the size and position of the first page to ensure a consistent size and position throughout all pages.


Technical Support

We believe that the EZLife Wizard Control is easy to use and as bug-free as possible within the standards of software development. But if you need help for any reason, we provide various technical support services. You can get technical support for the EZLife Wizard Control from a number of sources:

  • The reseller who sold you the EZLife Wizard Control
  • By usenet in the stepone.ezwizctl.support newsgroup on Step One's news server at news://news.stepone.co.uk
  • By e-mail from support@stepone.co.uk
  • By telephone on +44 (0) 1273 883888
  • By fax on +44 (0) 1273 885859

The list of search engines is updated when necessary. The program has built-in functionality to retrieve this list upon demand.

Updates to the program will be made available from time to time. There may be a charge for these updates depending on the purpose and content of the release.


Purchasing or Upgrading the EZLife Wizard Control

Upgrading the EZLife Wizard Control Retail Edition

From time to time, we'll release a new version of the EZLife Wizard Control with enhanced functionality and new features. We'll try to let you know by e-mail when this happens, which is why it is important to register your contact information with us. If you purchased the product within the eight weeks of an upgrade release, you are entitled to a free upgrade. Otherwise, you will need some kind of payment resource such as a credit card. If you wish to upgrade to a new version, you may do so in the following ways:

  • Use the Step One Online Shop at http://shop.stepone.co.uk
  • Call +44 (0) 1273 883888
  • Fax your order on +44 (0) 1273 885859
  • E-Mail your order to sales@stepone.co.uk (the least secure method)

Visit the EZLife home page You can also visit the EZLife home page at http://www.stepone.co.uk/products/ezlife for update information.

Upgrading from the EZLife Wizard Control Trial Edition

Send your order to us by any of the methods listed above. Thank you for evaluating the EZLife Wizard Control!


License Agreement

License Agreement for the EZLife Wizard Control

By opening and installing the EZLife Wizard Control software, you have already assented to this license agreement. However, it is reproduced here for your convenience.

End-User License Agreement for Step One Software

IMPORTANT—READ CAREFULLY: This Step One End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Step One Technologies Ltd for the Step One software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT; you may, however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE. This EULA grants you the following rights:

  • Software. You may install and use one copy of the SOFTWARE PRODUCT, or any prior version for the same operating system, on a single computer. The primary user of the computer on which the SOFTWARE PRODUCT is installed may make a second copy for his or her exclusive use on a portable computer.
  • Storage/Network Use. You may also store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a network server, used only to install or run the SOFTWARE PRODUCT on your other computers over an internal network; however, you must acquire and dedicate a license for each separate computer on which the SOFTWARE PRODUCT is installed or run from the storage device. A license for the SOFTWARE PRODUCT may not be shared or used concurrently on different computers.
  • Redistribution. You may redistribute only those files listed in the SOFTWARE PRODUCT documentation as being redistributable, and only as a component part of software in which you own all other copyrights, intellectual property rights and/or rights of redistribution. You may not redistribute any license keys or activation keys supplied to you by Step One or any third party in connection with the SOFTWARE PRODUCT.
  • License Pack. If you have acquired this EULA in a Step One License Pack, you may make the number of additional copies of the computer software portion of the SOFTWARE PRODUCT authorized on the printed copy of this EULA, and you may use each copy in the manner specified above. You are also entitled to make a corresponding number of secondary copies for portable computer use as specified above.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

  • Not for Resale Software. If the SOFTWARE PRODUCT is labeled "Not for Resale" or "NFR", then, notwithstanding other sections of this EULA, you may not resell, or otherwise transfer for value, the SOFTWARE PRODUCT.
  • Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
  • Separation of Components. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.
  • Rental. You may not rent, lease, or lend the SOFTWARE PRODUCT.
  • Support Services. Step One may provide you with support services related to the SOFTWARE PRODUCT ("Support Services"). Use of Support Services is governed by the Step One policies and programs described in the user manual, in "online" documentation, and/or in other Step One-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this EULA. With respect to technical information you provide to Step One as part of the Support Services, Step One may use such information for its business purposes, including for product support and development. Step One will not utilize such technical information in a form that personally identifies you.
  • Software Transfer. You may permanently transfer all of your rights under this EULA, provided you retain no copies, you transfer all of the SOFTWARE PRODUCT (including all component parts, the media and printed materials, any upgrades, this EULA, and, if applicable, the Certificate of Authenticity), and the recipient agrees to the terms of this EULA. If the SOFTWARE PRODUCT is an upgrade, any transfer must include all prior versions of the SOFTWARE PRODUCT.
  • Termination. Without prejudice to any other rights, Step One may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

3. UPGRADES. If the SOFTWARE PRODUCT is labeled as an upgrade, you must be properly licensed to use a product identified by Step One as being eligible for the upgrade in order to use the SOFTWARE PRODUCT. A SOFTWARE PRODUCT labeled as an upgrade replaces and/or supplements the product that formed the basis for your eligibility for the upgrade. You may use the resulting upgraded product only in accordance with the terms of this EULA. If the SOFTWARE PRODUCT is an upgrade of a component of a package of software programs that you licensed as a single product, the SOFTWARE PRODUCT may be used and transferred only as part of that single product package and may not be separated for use on more than one computer.

4. COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by Step One or its suppliers. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material except that you may install the SOFTWARE PRODUCT on a single computer provided you keep the original solely for backup or archival purposes. You may not copy the printed materials accompanying the SOFTWARE PRODUCT.

5. DUAL-MEDIA SOFTWARE. You may receive the SOFTWARE PRODUCT in more than one medium. Regardless of the type or size of medium you receive, you may use only one medium that is appropriate for your single computer. You may not use or install the other medium on another computer. You may not loan, rent, lease, or otherwise transfer the other medium to another user, except as part of the permanent transfer (as provided above) of the SOFTWARE PRODUCT.

MISCELLANEOUS

This EULA is governed by the laws of England.

Should you have any questions concerning this EULA, or if you desire to contact Step One for any reason, please write to: Step One Technologies Ltd, 3 Surrenden Road, Brighton, BN1 6PA, UK.

LIMITED WARRANTY

Step One warrants that (a) the SOFTWARE PRODUCT will perform substantially in accordance with the accompanying written materials for a period of ninety (90) days from the date of receipt, and (b) any Support Services provided by Step One shall be substantially as described in applicable written materials provided to you by Step One, and Step One support engineers will make commercially reasonable efforts to solve any problem issues. Some states and jurisdictions do not allow limitations on duration of an implied warranty, so the above limitation may not apply to you. To the extent allowed by applicable law, implied warranties on the SOFTWARE PRODUCT, if any, are limited to ninety (90) days.

CUSTOMER REMEDIES. Step One's and its suppliers' entire liability and your exclusive remedy shall be, at Step One's option, either (a) return of the price paid, if any, or (b) repair or replacement of the SOFTWARE PRODUCT that does not meet Step One's Limited Warranty and which is returned to Step One with a copy of your receipt. This Limited Warranty is void if failure of the SOFTWARE PRODUCT has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE PRODUCT will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Outside the United States, neither these remedies nor any product support services offered by Step One are available without proof of purchase from an authorized international source.

NO OTHER WARRANTIES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, STEP ONE AND ITS SUPPLIERS DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE PRODUCT, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS, WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION.

LIMITATION OF LIABILITY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL STEP ONE OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF STEP ONE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, STEP ONE'S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS EULA SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE PRODUCT OR £50.00 (UKP); PROVIDED, HOWEVER, IF YOU HAVE ENTERED INTO A STEP ONE SUPPORT SERVICES AGREEMENT, STEP ONE'S ENTIRE LIABILITY REGARDING SUPPORT SERVICES SHALL BE GOVERNED BY THE TERMS OF THAT AGREEMENT. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.


NT Service Packs

To use the EZLife Wizard Control under Windows NT 4.0 requires at least Service Pack 2 to be installed (available free of charge from http://www.microsoft.com), although at the time of release the current service pack is SP5.

At the time of this release, Windows 2000 is in the Beta 3 phase, and although the EZLife Wizard Control has been tested under this operating system, it cannot be supported until such time as Windows 2000 is released.